package com.zd.system.domain;

import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 权限菜单和部门关联对象 sys_permit_menu_dept
 *
 * @author liubo
 * @date 2022-03-21
 */
@ApiModel("权限菜单和部门关联")
public class SysPermitMenuDept extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 权限菜单ID
     */
    private Long permitMenuId;
    /**
     * 部门ID
     */
    @ApiModelProperty(value = "部门ID")
    private Long deptId;

    public void setPermitMenuId(Long permitMenuId) {
        this.permitMenuId = permitMenuId;
    }

    public Long getPermitMenuId() {
        return permitMenuId;
    }

    @Override
    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    @Override
    public Long getDeptId() {
        return deptId;
    }

}
